/**
 * This file is part of Picasa Photo Uploader.
 *
 * Picasa Photo Uploader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Picasa Photo Uploader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Picasa Photo Uploader. If not, see <http://www.gnu.org/licenses/>.
 */
package com.android.picasaphotouploader;

import android.content.SharedPreferences;

/**
 * Holds image details, this class is used as queue item
 *
 * @author Jan Peter Hooiveld
 */
public class ImageItem
{
  /**
   * User preferences
   */
  public SharedPreferences prefs;

  /**
   * Google authentication string
   */
  public String imageAuth;

  /**
   * Image id
   */
  public Integer imageId;

  /**
   * Location where image is stored
   */
  public String imagePath;

  /**
   * Filename of the image
   */
  public String imageName;

  /**
   * Image mime-type
   */
  public String imageType;

  /**
   * Image size
   */
  public int imageSize;
}
